public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dialup/ppp/
Date: Tue, 26 Sep 2023 21:14:13 +0000 (UTC)	[thread overview]
Message-ID: <1695762762.834dd1aed415d4acd38932b650ca17b76abb0502.floppym@gentoo> (raw)

commit:     834dd1aed415d4acd38932b650ca17b76abb0502
Author:     Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Tue Sep 26 21:06:19 2023 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Sep 26 21:12:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=834dd1ae

net-dialup/ppp: add 2.5.0-r5

Install radius support files so radius client will (mostly) work out of
the box.

Closes: https://bugs.gentoo.org/914767
Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Closes: https://github.com/gentoo/gentoo/pull/33077
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 net-dialup/ppp/ppp-2.5.0-r5.ebuild | 136 +++++++++++++++++++++++++++++++++++++
 1 file changed, 136 insertions(+)

diff --git a/net-dialup/ppp/ppp-2.5.0-r5.ebuild b/net-dialup/ppp/ppp-2.5.0-r5.ebuild
new file mode 100644
index 000000000000..a97d33222c22
--- /dev/null
+++ b/net-dialup/ppp/ppp-2.5.0-r5.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info pam tmpfiles
+
+DESCRIPTION="Point-to-Point Protocol (PPP)"
+HOMEPAGE="https://ppp.samba.org/"
+SRC_URI="
+	https://download.samba.org/pub/ppp/${P}.tar.gz
+	https://raw.githubusercontent.com/ppp-project/ppp/${P}/contrib/pppgetpass/pppgetpass.8
+"
+
+LICENSE="BSD GPL-2"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="activefilter atm gtk pam selinux systemd"
+
+DEPEND="
+	dev-libs/openssl:0=
+	virtual/libcrypt:=
+	activefilter? ( net-libs/libpcap )
+	atm? ( net-dialup/linux-atm )
+	gtk? ( x11-libs/gtk+:2 )
+	pam? ( sys-libs/pam )
+	systemd? ( sys-apps/systemd )
+"
+RDEPEND="
+	${DEPEND}
+	!<net-misc/netifrc-0.7.1-r2
+	selinux? ( sec-policy/selinux-ppp )
+"
+BDEPEND="virtual/pkgconfig"
+PDEPEND="net-dialup/ppp-scripts"
+
+PATCHES=(
+	"${FILESDIR}"/ppp-2.5.0-passwordfd-read-early.patch
+	"${FILESDIR}"/ppp-2.5.0-pidfile.patch
+	"${FILESDIR}"/${P}-radiusclient.conf-parsing.patch
+)
+
+pkg_setup() {
+	local CONFIG_CHECK="~PPP ~PPP_ASYNC ~PPP_SYNC_TTY"
+	local ERROR_PPP="CONFIG_PPP:\t missing PPP support (REQUIRED)"
+	local ERROR_PPP_ASYNC="CONFIG_PPP_ASYNC:\t missing asynchronous serial line discipline"
+	ERROR_PPP_ASYNC+=" (optional, but highly recommended)"
+	local WARNING_PPP_SYNC_TTY="CONFIG_PPP_SYNC_TTY:\t missing synchronous serial line discipline"
+	WARNING_PPP_SYNC_TTY+=" (optional; used by 'sync' pppd option)"
+	if use activefilter ; then
+		CONFIG_CHECK+=" ~PPP_FILTER"
+		local ERROR_PPP_FILTER="CONFIG_PPP_FILTER:\t missing PPP filtering support (REQUIRED)"
+	fi
+	CONFIG_CHECK+=" ~PPP_DEFLATE ~PPP_BSDCOMP ~PPP_MPPE"
+	local ERROR_PPP_DEFLATE="CONFIG_PPP_DEFLATE:\t missing Deflate compression (optional, but highly recommended)"
+	local ERROR_PPP_BSDCOMP="CONFIG_PPP_BSDCOMP:\t missing BSD-Compress compression (optional, but highly recommended)"
+	local WARNING_PPP_MPPE="CONFIG_PPP_MPPE:\t missing MPPE encryption (optional, mostly used by PPTP links)"
+	CONFIG_CHECK+=" ~PPPOE ~PACKET"
+	local WARNING_PPPOE="CONFIG_PPPOE:\t missing PPPoE support (optional, needed by pppoe plugin)"
+	local WARNING_PACKET="CONFIG_PACKET:\t missing AF_PACKET support (optional, used by pppoe plugin)"
+	if use atm ; then
+		CONFIG_CHECK+=" ~PPPOATM"
+		local WARNING_PPPOATM="CONFIG_PPPOATM:\t missing PPPoA support (optional, needed by pppoatm plugin)"
+	fi
+
+	linux-info_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	# Set the right paths in radiusclient.conf
+	sed -e "s:/usr/local/etc:/etc:" \
+		-e "s:/usr/local/sbin:/usr/sbin:" \
+		-i pppd/plugins/radius/etc/radiusclient.conf || die
+	# Set config dir to /etc/ppp/radius
+	sed -i -e "s:/etc/radiusclient:/etc/ppp/radius:g" \
+		pppd/plugins/radius/{*.8,*.c,*.h} \
+		pppd/plugins/radius/etc/* || die
+}
+
+src_configure() {
+	local args=(
+		--localstatedir="${EPREFIX}"/var
+		--runstatedir="${EPREFIX}"/run
+		$(use_enable systemd)
+		$(use_with atm)
+		$(use_with pam)
+		$(use_with activefilter pcap)
+		$(use_with gtk)
+		--enable-cbcp
+	)
+	econf "${args[@]}"
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name '*.la' -type f -delete || die
+
+	if use pam; then
+		pamd_mimic_system ppp auth account session
+	fi
+
+	insinto /etc/modprobe.d
+	newins "${FILESDIR}/modules.ppp" ppp.conf
+
+	dosbin scripts/p{on,off,log}
+	doman scripts/pon.1
+	dosym pon.1 /usr/share/man/man1/poff.1
+	dosym pon.1 /usr/share/man/man1/plog.1
+
+	# Adding misc. specialized scripts to doc dir
+	dodoc -r scripts
+
+	if use gtk ; then
+		dosbin contrib/pppgetpass/pppgetpass.{gtk,vt}
+		newsbin contrib/pppgetpass/pppgetpass.sh pppgetpass
+	else
+		newsbin contrib/pppgetpass/pppgetpass.vt pppgetpass
+	fi
+
+	newtmpfiles "${FILESDIR}/pppd.tmpfiles" pppd.conf
+
+	# Missing from upstream tarball
+	# https://github.com/ppp-project/ppp/pull/412
+	#doman contrib/pppgetpass/pppgetpass.8
+	doman "${DISTDIR}/pppgetpass.8"
+
+	insinto /etc/ppp/radius
+	doins pppd/plugins/radius/etc/{dictionary*,issue,port-id-map,radiusclient.conf,realms,servers}
+}
+
+pkg_postinst() {
+	tmpfiles_process pppd.conf
+}


             reply	other threads:[~2023-09-26 21:14 UTC|newest]

Thread overview: 134+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-26 21:14 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-19 18:14 [gentoo-commits] repo/gentoo:master commit in: net-dialup/ppp/ Mike Gilbert
2024-09-19 18:14 Mike Gilbert
2024-09-19 18:14 Mike Gilbert
2024-04-13  6:26 Arthur Zamarin
2024-03-07 21:48 Mike Gilbert
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-06  0:24 Jakov Smolić
2024-03-05 19:57 Mike Gilbert
2023-10-24  2:48 Mike Gilbert
2023-10-24  2:48 Mike Gilbert
2023-09-27  2:40 Sam James
2023-09-22 20:52 Sam James
2023-09-22 20:25 Sam James
2023-09-22 20:25 Sam James
2023-09-22 18:58 Arthur Zamarin
2023-09-10  5:54 Sam James
2023-06-28  7:19 Sam James
2023-05-31  6:15 Joonas Niilola
2023-05-31  6:15 Joonas Niilola
2023-05-30 16:51 Arthur Zamarin
2023-05-29 17:49 Arthur Zamarin
2023-05-29 17:49 Arthur Zamarin
2023-05-29 17:49 Arthur Zamarin
2023-05-28 11:55 Sam James
2023-05-28 11:36 Sam James
2023-05-28 11:36 Sam James
2023-05-28  7:11 Joonas Niilola
2023-05-28  7:11 Joonas Niilola
2023-05-27 23:02 Mike Gilbert
2023-04-29  3:50 Mike Gilbert
2023-04-23 17:06 Mike Gilbert
2023-04-22 23:07 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-22 18:45 Mike Gilbert
2023-04-12 20:51 Mike Gilbert
2022-06-13 21:00 Jakov Smolić
2022-06-12  8:32 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:30 Agostino Sarubbo
2022-06-12  8:29 Agostino Sarubbo
2022-05-17 11:54 WANG Xuerui
2022-05-05  8:36 Lars Wendler
2022-05-05  8:36 Lars Wendler
2021-12-06 15:23 Sam James
2021-12-06 15:20 Sam James
2021-12-06  1:17 Sam James
2021-12-05 18:31 Sam James
2021-12-05  4:00 Sam James
2021-08-27 14:20 Lars Wendler
2021-08-27 12:13 Lars Wendler
2021-07-13  9:22 Lars Wendler
2021-06-12 18:49 Mike Gilbert
2021-06-12 18:49 Mike Gilbert
2021-05-13 13:55 David Seifert
2021-05-01  7:13 Mikle Kolyada
2021-04-11 15:55 Sam James
2021-04-11 15:43 Sam James
2021-04-11 15:43 Sam James
2021-04-11 15:41 Sam James
2021-04-11 15:41 Sam James
2021-04-11 15:39 Sam James
2021-04-11 13:31 Sam James
2021-02-26 16:53 Lars Wendler
2021-01-22 15:52 Mikle Kolyada
2021-01-05 16:59 Lars Wendler
2021-01-05 16:49 Lars Wendler
2021-01-05 15:20 Lars Wendler
2021-01-04 12:08 Lars Wendler
2021-01-03 23:42 Lars Wendler
2020-04-02  7:18 Lars Wendler
2020-04-01 21:01 Mart Raudsepp
2020-03-23 18:07 Sergei Trofimovich
2020-03-14 19:24 Sergei Trofimovich
2020-03-12 16:24 Agostino Sarubbo
2020-03-12 16:23 Agostino Sarubbo
2020-03-12 16:22 Agostino Sarubbo
2020-03-11  7:21 Sergei Trofimovich
2020-03-10  8:39 Sergey Popov
2020-02-29 14:44 Mikle Kolyada
2020-02-27  8:59 Lars Wendler
2020-02-26 16:48 Lars Wendler
2020-02-26 15:37 Lars Wendler
2019-10-12 20:55 Mikle Kolyada
2019-05-23  6:39 Aaron Bauman
2019-05-04 19:41 Mikle Kolyada
2019-04-29  0:23 Lars Wendler
2019-04-28 20:20 Mikle Kolyada
2019-04-08  6:05 Matt Turner
2019-04-07 21:34 Sergei Trofimovich
2019-04-07 21:16 Sergei Trofimovich
2019-04-07 21:00 Sergei Trofimovich
2019-04-01 19:58 Thomas Deutschmann
2019-03-26 21:09 Sergei Trofimovich
2019-03-26  9:10 Jeroen Roovers
2019-03-26  8:11 Lars Wendler
2018-09-27  8:11 Lars Wendler
2018-09-27  8:11 Lars Wendler
2018-07-07 10:47 Markus Meier
2018-06-22 11:39 Jeroen Roovers
2018-06-19  1:24 Mike Frysinger
2018-06-12 20:48 Sergei Trofimovich
2018-06-12 15:57 Mikle Kolyada
2018-06-12 11:36 Thomas Deutschmann
2018-06-12  8:44 Sergei Trofimovich
2018-06-11 21:18 Lars Wendler
2018-03-16 22:50 Lars Wendler
2018-01-23 12:51 Lars Wendler
2017-11-09 22:05 Mike Gilbert
2017-03-13 13:30 Lars Wendler
2017-01-18 16:56 Lars Wendler
2017-01-18 16:04 Lars Wendler
2017-01-18 10:02 Agostino Sarubbo
2017-01-15 19:37 Jeroen Roovers
2016-12-17 15:21 Markus Meier
2016-12-06 11:53 Agostino Sarubbo
2016-12-06 11:50 Agostino Sarubbo
2016-12-05 15:49 Tobias Klausmann
2016-11-22 13:49 Lars Wendler
2016-11-22 13:49 Lars Wendler
2016-11-11 20:13 Mike Frysinger
2016-01-22  8:28 Michael Palimaka
2016-01-17 21:07 Lars Wendler
2015-10-20 21:47 Lars Wendler
2015-10-04 21:10 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1695762762.834dd1aed415d4acd38932b650ca17b76abb0502.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox